[Overview][Types][Classes][Index] | Reference for unit 'IniFiles' (#fcl)

# TMemIniFile.Create

Create a new instance of TMemIniFile

## Declaration

Source position: inifiles.pp line 256

`public constructor TMemIniFile.Create(`
`const AFileName: string;`
`AOptions: TIniFileOptions = []`
`); override; overload; constructor TMemIniFile.Create(`
`const AFileName: string;`
`AEscapeLineFeeds: Boolean`
`); override; overload;`

## Arguments

`AFileName` |  | Name of file to read data from
`AOptions` |  | Options for the .ini file

## Arguments

`AFileName` |  | Name of file to read data from
`AEscapeLineFeeds` |  | Should linefeed escaping be turned on

## Description

Create simply calls the inherited Create, and sets the CacheUpdates to True so updates will be kept in memory till they are explicitly written to disk.

## See also

TIniFile.Create |  | Create a new instance of TIniFile
CacheUpdates |  | Should changes be kept in memory